"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = _interopRequireDefault(require("../"));

var styles = {
  componentId: 'cqBsX',
  template: function template(theme) {
    return "\n\n.cqBsX_caGd{background-color:".concat(theme.contentBackgroundColor || 'inherit', ";border-radius:").concat(theme.contentBorderRadius || 'inherit', ";box-shadow:").concat(theme.contentBoxShadow || 'inherit', ";margin:").concat(theme.contentMargin || 'inherit', " auto;max-width:").concat(theme.contentMaxWidth || 'inherit', ";transition:").concat(theme.contentTransitionDuration || 'inherit', " ease}\n\n@media screen and (--phoneBreakPoint){.cqBsX_caGd{margin:").concat(theme.phoneContentMargin || 'inherit', " auto}}");
  },
  'content': 'cqBsX_caGd'
};

var _ref =
/*#__PURE__*/
_react.default.createElement(_.default, null, "Cool Content");

var _ref2 =
/*#__PURE__*/
_react.default.createElement(_.default, null, "Cool Content");

var _ref3 =
/*#__PURE__*/
_react.default.createElement(_.default, {
  className: "myClass"
}, "Cool Content");

describe('CardContent', function () {
  it('renders children in the card', function () {
    var wrapper = (0, _enzyme.shallow)(_ref, {
      disableLifecycleMethods: true
    });
    expect(wrapper.text()).to.include('Cool Content');
  });
  it('styles the card', function () {
    var wrapper = (0, _enzyme.shallow)(_ref2, {
      disableLifecycleMethods: true
    });
    expect(wrapper.prop('className')).to.equal(styles.content);
  });
  it('appends className to card', function () {
    var wrapper = (0, _enzyme.shallow)(_ref3, {
      disableLifecycleMethods: true
    });
    expect(wrapper.prop('className')).to.include('myClass');
  });
});