"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = _interopRequireDefault(require("../"));

var styles = {
  componentId: 'caADp',
  template: function template(theme) {
    return "\n\n.caADp_gasz{background-color:".concat(theme.wrapperBackgroundColor || 'inherit', ";box-sizing:border-box;min-height:100%;padding:").concat(theme.wrapperPadding || 'inherit', ";transition:").concat(theme.wrapperTransitionDuration || 'inherit', " ease}\n\n@media screen and (--phoneBreakPoint){.caADp_gasz{padding:").concat(theme.phoneWrapperPadding || 'inherit', " 0}}");
  },
  'wrapper': 'caADp_gasz'
};

var _ref =
/*#__PURE__*/
_react.default.createElement(_.default, null, "Content");

var _ref2 =
/*#__PURE__*/
_react.default.createElement(_.default, null, "Content");

var _ref3 =
/*#__PURE__*/
_react.default.createElement(_.default, {
  className: "myWrapperClass"
}, "Content");

describe('CardWrapper', function () {
  it('renders children in the wrapper', function () {
    var wrapper = (0, _enzyme.shallow)(_ref, {
      disableLifecycleMethods: true
    });
    expect(wrapper.text()).to.include('Content');
  });
  it('styles the wrapper', function () {
    var wrapper = (0, _enzyme.shallow)(_ref2, {
      disableLifecycleMethods: true
    });
    expect(wrapper.prop('className')).to.equal(styles.wrapper);
  });
  it('appends className to card wrapper', function () {
    var wrapper = (0, _enzyme.shallow)(_ref3, {
      disableLifecycleMethods: true
    });
    expect(wrapper.prop('className')).to.include('myWrapperClass');
  });
});