"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _index = _interopRequireDefault(require("../index"));

var overlayStyles = {
  componentId: 'fDDFj',
  template: function template(theme) {
    return "\n\n.dwHlC_bGBk{align-self:center;position:relative}\n\n.dwHlC_cYkL{cursor:pointer;height:100%;left:0;position:absolute;top:0;width:100%;z-index:".concat(theme.overlayZIndex || 'inherit', "}\n\n.dwHlC_cYkL:hover{border-left:").concat(theme.overlayBarSize || 'inherit', " solid ").concat(theme.overlayBarColor || 'inherit', ";box-sizing:border-box}");
  },
  'root': 'dwHlC_bGBk',
  'overlay': 'dwHlC_cYkL'
};
describe('Quiz Title Show', function () {
  var QuizTitleShowWithContext = withContext(_index.default);
  var testbed = createTestbed(QuizTitleShowWithContext, {});
  shouldRenderComponent(testbed, {}, QuizTitleShowWithContext);
  it('should render the overlay component', function () {
    testbed.render({});
    var overlayComponent = testbed.findChildrenByClass(overlayStyles.overlay)[0];
    expect(overlayComponent).to.not.be.undefined();
  });
  describe('a11y tests', function () {
    it('should meet a11y standards', function (done) {
      testbed.render();
      testbed.checkA11yStandards(done);
    });
  });
});